DCMTK: IODEnhGeneralEquipmentModule Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Private Attributes | List of all members
IODEnhGeneralEquipmentModule Class Reference

Class representing the Enhanced Equipment Module: More...

Inheritance diagram for IODEnhGeneralEquipmentModule:

## Classes
struct | EquipmentInfo
| Convenient struct containing all information required for setting enhanced equipment information (for use by external code). More...

## Public Member Functions
| IODEnhGeneralEquipmentModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODEnhGeneralEquipmentModule ()
| Constructor.
virtual | ~IODEnhGeneralEquipmentModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module.
virtual OFCondition | getManufacturer (OFString &value, const signed long pos=0) const
| Get Manufacturer.
virtual OFCondition | getManufacturerModelName (OFString &value, const signed long pos=0) const
| Get Manufacturer's Model Name.
virtual OFCondition | getDeviceSerialNumber (OFString &value, const signed long pos=0) const
| Get Device Serial Number.
virtual OFCondition | getSoftwareVersions (OFString &value, const signed long pos=0) const
| Get Software Version(s).
virtual OFCondition | setManufacturer (const OFString &value, const OFBool checkValue=OFTrue)
| Set Manufacturer.
virtual OFCondition | setManufacturerModelName (const OFString &value, const OFBool checkValue=OFTrue)
| Set Manufacturer's Model Name.
virtual OFCondition | setDeviceSerialNumber (const OFString &value, const OFBool checkValue=OFTrue)
| Set Device Serial Number.
virtual OFCondition | setSoftwareVersions (const OFString &value, const OFBool checkValue=OFTrue)
| Set Software Version(s).
virtual OFCondition | set (const EquipmentInfo &info)
| Set all equipment information at once.
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Private Attributes
OFString | m_ModuleName
| Name of the module ("EnhancedEquipmentModule").

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the Enhanced Equipment Module:

Manufacturer: (LO, 1, 1) Manufacturer's Model Name: (LO, 1, 1) Device Serial Number: (LO, 1, 1) Software Version(s): (LO, 1-n, 1)

## Constructor & Destructor Documentation

## ◆ IODEnhGeneralEquipmentModule()

IODEnhGeneralEquipmentModule::IODEnhGeneralEquipmentModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

Referenced by ~IODEnhGeneralEquipmentModule().

## Member Function Documentation

## ◆ getDeviceSerialNumber()

virtual OFCondition IODEnhGeneralEquipmentModule::getDeviceSerialNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Device Serial Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getManufacturer()

virtual OFCondition IODEnhGeneralEquipmentModule::getManufacturer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Manufacturer.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getManufacturerModelName()

virtual OFCondition IODEnhGeneralEquipmentModule::getManufacturerModelName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Manufacturer's Model Name.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODEnhGeneralEquipmentModule::getName | ( |  | ) | const
| virtual

Get name of module.

Returns
  Name of the module ("EnhancedEquipmentModule")

Implements IODComponent.

## ◆ getSoftwareVersions()

virtual OFCondition IODEnhGeneralEquipmentModule::getSoftwareVersions | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Software Version(s).

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ set()

virtual OFCondition IODEnhGeneralEquipmentModule::set | ( | const EquipmentInfo & | info | ) |
| virtual

Set all equipment information at once.

Parameters

  info | The equipment information to be set.

Returns
  EC_Normal if values could be set, error otherwise

## ◆ setDeviceSerialNumber()

virtual OFCondition IODEnhGeneralEquipmentModule::setDeviceSerialNumber | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Device Serial Number.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setManufacturer()

virtual OFCondition IODEnhGeneralEquipmentModule::setManufacturer | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Manufacturer.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setManufacturerModelName()

virtual OFCondition IODEnhGeneralEquipmentModule::setManufacturerModelName | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Manufacturer's Model Name.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSoftwareVersions()

virtual OFCondition IODEnhGeneralEquipmentModule::setSoftwareVersions | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Software Version(s).

Parameters

  value | Value to be set (possibly multi-valued) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modenhequipment.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1